io.vertx.ext.web.handler.sockjs

## Interface SockJSHandler

- All Superinterfaces:
    Handler<RoutingContext>

      public interface SockJSHandler
      extends Handler<RoutingContext>

  A handler that allows you to handle SockJS connections from clients.

  We currently support version 0.3.3 of the SockJS protocol, which can be found in this tag:

  Author:
    Tim Fox

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `SockJSHandler` | `bridge(BridgeOptions bridgeOptions)` Bridge the SockJS handler to the Vert.x event bus.
    `SockJSHandler` | `bridge(BridgeOptions bridgeOptions, Handler<BridgeEvent> bridgeEventHandler)` Like `bridge(BridgeOptions)` but specifying a handler that will receive bridge events.
    `static SockJSHandler` | `create(Vertx vertx)` Create a SockJS handler
    `static SockJSHandler` | `create(Vertx vertx, SockJSHandlerOptions options)` Create a SockJS handler
    `static void` | `installTestApplications(Router router, Vertx vertx)` Install SockJS test applications on a router - used when running the SockJS test suite
    `SockJSHandler` | `socketHandler(Handler<SockJSSocket> handler)` Set a SockJS socket handler.

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Method Detail

    - #### create

          static SockJSHandler create(Vertx vertx)

      Create a SockJS handler
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the handler

    - #### create

          static SockJSHandler create(Vertx vertx,
                                      SockJSHandlerOptions options)

      Create a SockJS handler
      Parameters:
        `vertx` - the Vert.x instance
        `options` - options to configure the handler
      Returns:
        the handler

    - #### installTestApplications

          static void installTestApplications(Router router,
                                              Vertx vertx)

      Install SockJS test applications on a router - used when running the SockJS test suite
      Parameters:
        `router` - the router to install on
        `vertx` - the Vert.x instance

    - #### socketHandler

          SockJSHandler socketHandler(Handler<SockJSSocket> handler)

      Set a SockJS socket handler. This handler will be called with a SockJS socket whenever a SockJS connection is made from a client
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### bridge

          SockJSHandler bridge(BridgeOptions bridgeOptions)

      Bridge the SockJS handler to the Vert.x event bus. This basically installs a built-in SockJS socket handler which takes SockJS traffic and bridges it to the event bus, thus allowing you to extend the server-side Vert.x event bus to browsers
      Parameters:
        `bridgeOptions` - options to configure the bridge with
      Returns:
        a reference to this, so the API can be used fluently

    - #### bridge

          SockJSHandler bridge(BridgeOptions bridgeOptions,
                               Handler<BridgeEvent> bridgeEventHandler)

      Like `bridge(BridgeOptions)` but specifying a handler that will receive bridge events.
      Parameters:
        `bridgeOptions` - options to configure the bridge with
        `bridgeEventHandler` - handler to receive bridge events
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2018 Eclipse. All rights reserved.